/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d4b5214c.js');
const appGlobals = require('./app-globals-3813fb46.js');

/*
 Stencil Client Patch Browser v4.22.3 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('shift-components.cjs.js', document.baseURI).href));
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return index.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["dynamic-claim.cjs",[[1,"dynamic-claim",{"baseUrl":[1,"base-url"],"isDev":[4,"is-dev"],"queryString":[1,"query-string"],"loadingStateChange":[16],"loadedResponse":[16],"isIdle":[32],"popupClasses":[32],"externalVin":[32],"activePopupIndex":[32],"vehicleInformation":[32],"errorMessage":[32],"isLoading":[32],"setMockData":[64],"setData":[64],"fetchData":[64],"completeClaim":[64]},null,{"isLoading":["onLoadingChange"],"vehicleInformation":["resetProgressBar"],"popupClasses":["windowScrollListener"]}]]],["general-inquiry-form.cjs",[[1,"general-inquiry-form",{"isLoading":[32],"renderControl":[32]}]]],["paint-thickness.cjs",[[1,"paint-thickness",{"baseUrl":[1,"base-url"],"isDev":[4,"is-dev"],"queryString":[1,"query-string"],"loadingStateChange":[16],"loadedResponse":[16],"state":[32],"externalVin":[32],"errorMessage":[32],"expandedImage":[32],"vehicleInformation":[32],"setData":[64],"fetchData":[64],"setMockData":[64]},null,{"state":["loadingListener"]}]]],["service-history.cjs",[[1,"service-history",{"baseUrl":[1,"base-url"],"isDev":[4,"is-dev"],"queryString":[1,"query-string"],"loadingStateChange":[16],"loadedResponse":[16],"state":[32],"externalVin":[32],"errorMessage":[32],"vehicleInformation":[32],"setData":[64],"fetchData":[64],"setMockData":[64]},null,{"state":["loadingListener"]}]]],["vehicle-accessories.cjs",[[1,"vehicle-accessories",{"baseUrl":[1,"base-url"],"isDev":[4,"is-dev"],"queryString":[1,"query-string"],"loadingStateChange":[16],"loadedResponse":[16],"state":[32],"externalVin":[32],"errorMessage":[32],"expandedImage":[32],"vehicleInformation":[32],"setData":[64],"fetchData":[64],"setMockData":[64]},null,{"state":["loadingListener"]}]]],["vehicle-specification.cjs",[[1,"vehicle-specification",{"baseUrl":[1,"base-url"],"isDev":[4,"is-dev"],"queryString":[1,"query-string"],"loadingStateChange":[16],"loadedResponse":[16],"state":[32],"externalVin":[32],"errorMessage":[32],"vehicleInformation":[32],"setData":[64],"fetchData":[64],"setMockData":[64]},null,{"state":["loadingListener"]}]]],["warranty-details.cjs",[[1,"warranty-details",{"baseUrl":[1,"base-url"],"unauthorizedSscLookupBaseUrl":[1,"unauthorized-ssc-lookup-base-url"],"isDev":[4,"is-dev"],"showSsc":[4,"show-ssc"],"queryString":[1,"query-string"],"unauthorizedSscLookupQueryString":[1,"unauthorized-ssc-lookup-query-string"],"recaptchaKey":[1,"recaptcha-key"],"showWarranty":[4,"show-warranty"],"cityId":[1,"city-id"],"cityIntegrationId":[1,"city-integration-id"],"companyId":[1,"company-id"],"companyIntegrationId":[1,"company-integration-id"],"companyBranchId":[1,"company-branch-id"],"companyBranchIntegrationId":[1,"company-branch-integration-id"],"userId":[1,"user-id"],"brandIntegrationId":[1,"brand-integration-id"],"customerName":[1,"customer-name"],"customerPhone":[1,"customer-phone"],"customerEmail":[1,"customer-email"],"loadingStateChange":[16],"loadedResponse":[16],"state":[32],"externalVin":[32],"errorMessage":[32],"showRecaptcha":[32],"unInvoicedByBrokerName":[32],"vehicleInformation":[32],"checkingUnauthorizedSSC":[32],"recaptchaRes":[32],"setData":[64],"fetchData":[64],"setMockData":[64]},null,{"showSsc":["onShowSscChange"],"showWarranty":["onShowWarrantyChange"],"state":["loadingListener"]}]]],["dynamic-redeem.cjs",[[1,"dynamic-redeem",{"vin":[1],"item":[16],"canceledItems":[16],"unInvoicedByBrokerName":[1,"un-invoiced-by-broker-name"],"handleScanner":[16],"handleQrChanges":[16],"loadingStateChange":[16],"confirmServiceCancellation":[32],"confirmUnInvoicedTBPVehicles":[32],"internalVin":[32],"isOpened":[32],"internalItem":[32],"internalCanceledItem":[32],"isLoading":[32],"quite":[64],"getQrValue":[64]},null,{"isLoading":["onIsLoadingChange"],"canceledItems":["changeInternalCanceledItem"],"unInvoicedByBrokerName":["changeConfirmUnInvoicedTBPVehicles"],"vin":["changeInternalVin"],"item":["changeInternalItem"]}]]],["form-input.cjs",[[0,"form-input",{"name":[1],"label":[1],"class":[1],"isError":[4,"is-error"],"disabled":[4],"labelClass":[1,"label-class"],"errorClass":[1,"error-class"],"errorMessage":[1,"error-message"],"containerClass":[1,"container-class"]}]]]], options);
});

exports.setNonce = index.setNonce;
