import { AppStates, MockJson } from "../../global/types/components";
import { VehicleInformation } from "../../global/types/vehicle-information";
import { VehicleInformationInterface } from "../../global/api/vehicleInformation";
export declare class VehicleSpecification implements VehicleInformationInterface {
    baseUrl: string;
    isDev: boolean;
    queryString: string;
    loadingStateChange?: (isLoading: boolean) => void;
    loadedResponse?: (response: VehicleInformation) => void;
    state: AppStates;
    externalVin?: string;
    errorMessage?: string;
    vehicleInformation?: VehicleInformation;
    abortController: AbortController;
    networkTimeoutRef: ReturnType<typeof setTimeout>;
    el: HTMLElement;
    setData(newData: VehicleInformation | string): Promise<void>;
    fetchData(requestedVin?: string): Promise<void>;
    loadingListener(): Promise<void>;
    setMockData(newMockData: MockJson<VehicleInformation>): Promise<void>;
    render(): any;
}
