export interface ImageViewerInterface {
    el: HTMLElement;
    expandedImage?: string;
    originalImage: HTMLImageElement;
    closeImage: (event?: KeyboardEvent) => void;
    closeImageListener: (event?: KeyboardEvent) => void;
}
export declare function openImageViewer(context: ImageViewerInterface, target: HTMLImageElement, imageSrc: string): void;
export declare function closeImageViewer(context?: ImageViewerInterface, event?: KeyboardEvent): void;
