/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
import { Host, h } from "@stencil/core";
import { object, string } from "yup";
import { FormHook } from "../../global/lib/form-hook";
const inquirySchema = object({
    name: string().required('r').min(4, 'kd').max(7, 'kk'),
    name2: string().required(),
});
export class GeneralInquiryForm {
    constructor() {
        this.form = new FormHook(this, inquirySchema);
        this.nameController = this.form.newController('name', 'text');
        this.name2Controller = this.form.newController('name2', 'text');
        this.isLoading = undefined;
        this.renderControl = {};
    }
    async formSubmit(formValues) {
        console.log(formValues);
    }
    render() {
        const { formController } = this.form;
        return (h(Host, { key: '5f5e6a4941fbdc8a1aecc1d2ac02d7c8b7900768' }, h("form", Object.assign({ key: 'b6ae1e217a2a1813774e875540675d9cbfaaea56' }, formController), h("form-input", Object.assign({ key: '2ead4bfe5bd5c8d5add2b4269b0e64ff15321715' }, this.nameController, { label: "Name", name: "name" })), h("form-input", Object.assign({ key: '1cc8b20cf7bd6c169bd93807b4b9e6c28afc7a8c' }, this.name2Controller, { label: "Name2", name: "name2" })), h("button", { key: '57bd612321902d39add1f4922cd09445e56fe7a2', type: "submit" }, "sd"))));
    }
    static get is() { return "general-inquiry-form"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["general-inquiry-form.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["general-inquiry-form.css"]
        };
    }
    static get states() {
        return {
            "isLoading": {},
            "renderControl": {}
        };
    }
    static get elementRef() { return "el"; }
}
