/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
import { h } from "@stencil/core";
import XIcon from "../assets/x-mark.svg";
import CheckIcon from "../assets/check.svg";
export default function SSCTable({ ssc }) {
    return (h("div", { class: "wrapper-table" }, h("div", { class: "header" }, "SSC Campings"), h("div", { class: "ssc-table-container" }, h("table", { class: "ssc-table" }, h("thead", null, h("tr", null, h("th", null, "Code"), h("th", null, "Description"), h("th", null, "Repair Status"), h("th", null, "OP-Codes"), h("th", null, "Part Number"))), h("tbody", null, ssc.map(sscItem => (h("tr", { class: "transition", key: sscItem.sscCode }, h("td", null, sscItem.sscCode), h("td", null, sscItem.description), h("td", null, h("div", { class: "table-cell-container" }, h("img", { class: "table-status-icon", src: sscItem.repaired ? CheckIcon : XIcon }), " ", sscItem === null || sscItem === void 0 ? void 0 :
        sscItem.repairDate)), h("td", null, sscItem.opCode), h("td", null, h("div", { class: "table-cell-container table-cell-parts-container" }, !!sscItem.parts.length
        ? sscItem.parts.map(part => (h("div", { key: part.partNumber, class: part.isAvailable ? 'success' : 'reject' }, part.partNumber)))
        : '...'))))))))));
}
