/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
import { h } from "@stencil/core";
import SuccessIcon from "../assets/check.svg";
import RejectIcon from "../assets/x-mark.svg";
import cn from "../../../global/lib/cn";
export default function StatusCard({ desc, className, from, to, state = 'idle', icon = true }) {
    return (h("div", { class: cn('card', className, `${state}-card`) }, icon && state === 'reject' && h("img", { src: RejectIcon }), icon && state === 'warning' && h("img", { src: RejectIcon }), icon && state === 'success' && h("img", { src: SuccessIcon }), from && (h("p", { class: "no-padding" }, h("span", { class: "font-semibold pr-1" }, "From:"), " ", desc)), to && (h("p", { class: "no-padding" }, h("span", { class: "font-semibold pr-1" }, "To:"), " ", desc)), !from && !to && h("p", { class: state === 'idle' ? 'no-padding' : '' }, desc)));
}
