/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
import { h } from './index-ef54644b.js';
import { l as loaderSvg } from './loader-027b88af.js';
import { c as cn } from './cn-cc419b94.js';

function Loading({ isLoading }) {
    return (h("div", { class: cn('size-full transition-all z-50 duration-100 flex items-center justify-center pointer-events-none absolute ', { 'opacity-0': !isLoading }) },
        h("img", { class: "animate-spin-2s size-[40px]", src: loaderSvg })));
}

export { Loading as L };
