import { ServiceItem } from "../../global/types/vehicle-information";
export declare class DynamicRedeem {
    vin?: string;
    item?: ServiceItem;
    canceledItems?: ServiceItem[];
    unInvoicedByBrokerName?: string;
    handleScanner?: (code: string) => void;
    handleQrChanges?: (code: string) => void;
    el: HTMLElement;
    confirmServiceCancellation: boolean;
    confirmUnInvoicedTBPVehicles: boolean;
    internalVin?: string;
    isOpened?: boolean;
    internalItem?: ServiceItem;
    internalCanceledItem?: ServiceItem[];
    input: HTMLInputElement;
    dynamicClaimProcessor: HTMLElement;
    closeModalListenerRef: (event: KeyboardEvent) => void;
    isLoading: boolean;
    loadingStateChange?: (isLoading: boolean) => void;
    onIsLoadingChange(newValue: boolean): void;
    componentDidLoad(): Promise<void>;
    private focusInput;
    changeInternalCanceledItem(newInternalCanceledItem: any): Promise<void>;
    changeConfirmUnInvoicedTBPVehicles(newUnInvoicedByBrokerName: any): Promise<void>;
    changeInternalVin(newInternalVin: any): Promise<void>;
    changeInternalItem(newItem: any): Promise<void>;
    closeModal: () => Promise<void>;
    quite(): Promise<void>;
    getQrValue(): Promise<string>;
    qrCodeKeyDown: (event: KeyboardEvent) => Promise<void>;
    onValueChanges: (event: Event) => void;
    render(): any;
}
