import { InferType } from 'yup';
import { FormHookInterface } from "../../global/lib/form-hook";
declare const inquirySchema: import("yup").ObjectSchema<{
    name: string;
    name2: string;
}, import("yup").AnyObject, {
    name: undefined;
    name2: undefined;
}, "">;
type Inquiry = InferType<typeof inquirySchema>;
export declare class GeneralInquiryForm implements FormHookInterface<Inquiry> {
    isLoading: boolean;
    el: HTMLElement;
    renderControl: {};
    private form;
    private nameController;
    private name2Controller;
    formSubmit(formValues: Inquiry): Promise<void>;
    render(): any;
}
export {};
